Summary:	The GNU version of the awk text processing utility
Name:		gawk
Version:	4.1.0
Release:	%mkrel 2
License:	GPLv3+
Group:		Text tools
URL:		http://www.gnu.org/software/gawk/gawk.html
Source0:	http://ftp.gnu.org/gnu/gawk/%{name}-%{version}.tar.xz
Source1:	http://ftp.gnu.org/gnu/gawk/%{name}-3.1.6-ps.tar.gz
Provides:	awk
BuildRequires:	byacc
BuildRequires:	gettext-devel
BuildRequires:	libsigsegv-devel >= 2.8
Requires(pre):	filesystem >= 2.1.9-18
Requires(post,preun):	info-install
Conflicts:      mkbootdisk < 1.5.4

%description
The gawk packages contains the GNU version of awk, a text processing
utility.  Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs. Gawk should
be upwardly compatible with the Bell Labs research version of awk and
is almost completely compliant with the 1993 POSIX 1003.2 standard for
awk.

Install the gawk package if you need a text processing utility. Gawk is
considered to be a standard Linux tool for processing text.

%package	doc
Summary:	Documentation about the GNU version of the awk text processing utility
Group:		Documentation

%description	doc
The gawk packages contains the GNU version of awk, a text processing
utility.  Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs. Gawk should
be upwardly compatible with the Bell Labs research version of awk and
is almost completely compliant with the 1993 POSIX 1003.2 standard for
awk.

%prep
%setup -q -b 1
mv ../%{name}-3.1.6/doc/*.ps doc
rm -rf ../%{name}-3.1.6

%build
%configure2_5x
%make

%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std
%find_lang %{name}

ln -s gawk.1 %{buildroot}%{_mandir}/man1/awk.1
rm %{buildroot}%{_bindir}/gawk-%{version}

%post
%_install_info gawk.info

%preun
%_remove_install_info gawk.info

%files -f %{name}.lang
%{_bindir}/*
%{_mandir}/*/*
%{_infodir}/*
%{_libexecdir}/awk
%{_datadir}/awk
%{_libdir}/gawk
%{_includedir}/gawkapi.h

%files doc
%doc README INSTALL NEWS
%doc README_d POSIX.STD doc/*.ps


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 4.1.0-2.mga4
+ Revision: 525737
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 luigiwalser <luigiwalser> 4.1.0-1.mga4
+ Revision: 434321
- 4.1.0
- clean up install procedure
- add new files for C extension mechanism added in gawk 4.1.0

* Sat May 04 2013 anssi <anssi> 4.0.2-4.mga3
+ Revision: 412280
- add conflicts against old mkbootdisk for smooth upgrade

* Fri Jan 11 2013 umeabot <umeabot> 4.0.2-3.mga3
+ Revision: 351081
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 pterjan <pterjan> 4.0.2-2.mga3
+ Revision: 337528
- Fix for _libdir != _libexecdir

* Wed Dec 26 2012 luigiwalser <luigiwalser> 4.0.2-1.mga3
+ Revision: 335540
- 4.0.2

* Wed Oct 10 2012 shlomif <shlomif> 4.0.1-4.mga3
+ Revision: 304282
- Bump release to please the build system
- Convert the doc package group to Documentation (per revamp)

* Sat Jul 21 2012 colin <colin> 4.0.1-2.mga3
+ Revision: 273158
- Update for usrmove

* Sun Apr 15 2012 luigiwalser <luigiwalser> 4.0.1-1.mga2
+ Revision: 230947
- 4.0.1

* Sat Sep 03 2011 guillomovitch <guillomovitch> 4.0.0-1.mga2
+ Revision: 138253
- spec cleanup

  + fwang <fwang>
    - new version 4.0.0

* Sun Jan 09 2011 blino <blino> 3.1.8-1.mga1
+ Revision: 3670
- imported package gawk


* Fri Jul 16 2010 Funda Wang <fwang@mandriva.org> 3.1.8-1mdv2011.0
+ Revision: 553882
- new version 3.1.8

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 3.1.7-2mdv2010.1
+ Revision: 519777
- link against system libsigsegv
- don't package the binary twice
- rebuild

  + Funda Wang <fwang@mandriva.org>
    - bundled sigserv used

* Sun Jul 26 2009 Funda Wang <fwang@mandriva.org> 3.1.7-1mdv2010.0
+ Revision: 400174
- new version 3.1.7

* Wed Mar 25 2009 Gustavo De Nardin <gustavodn@mandriva.com> 3.1.6-4mdv2009.1
+ Revision: 361145
- fixed awk.1 manpage symlink
- removed -f from some package building commands, to catch problems and changes

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 3.1.6-3mdv2009.1
+ Revision: 316585
- rediffed one fuzzy patch

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 3.1.6-2mdv2009.0
+ Revision: 264523
- rebuild early 2009.0 package (before pixel changes)

* Wed May 07 2008 Funda Wang <fwang@mandriva.org> 3.1.6-1mdv2009.0
+ Revision: 202722
- New version 3.1.6
- drop unneeded patch

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 3.1.5-4mdv2008.1
+ Revision: 150092
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Mon Feb 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.1.5-3mdv2007.0
+ Revision: 119957
- Import gawk

* Tue Jan 17 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.1.5-2mdk
- Update Requires
- Patch 1: awk was segfaulting when opening a non-existent file

* Thu Oct 13 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.1.5-1mdk
- 3.1.5
- Remove patch 1, no longer necessary
- Remove patches 2, 3 and 4, merged upstream

* Mon Jan 10 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.1.4-1mdk
- sync with fedora
- fix summary-ended-with-dot

* Fri Jun 11 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.1.3-3mdk
- really fix buildrequires

* Wed Jun 09 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.1.3-2mdk
- fix buildrequires

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.1.3-1mdk
- 3.1.3
- drop P0-P3
- sync with fedora:
	o patches P5-P9 fixes from gawk mailinglist
	o P10 fixes getpgrp_void problem (rh #114246)
- spec cosmetics

